package otter

import (
	"context"

	"git.dragse.it/anthrove/otter-space-sdk/pkg/graph"
)

func ConnectToDatabase(ctx context.Context, endpoint string, username string, password string, debug bool) (graph.OtterSpace, error) {
	var graphConnection graph.OtterSpace
	var err error

	graphConnection = graph.NewGraphConnection(debug)
	err = graphConnection.Connect(ctx, endpoint, username, password)
	if err != nil {
		return nil, err
	}

	return graphConnection, err
}
