# Generate the gRPC files

To generate the gRPC files you need to do the following:

## Prerequisites:

1. You need to install the [gRPC Compiler](https://grpc.io/docs/protoc-installation/)
2. Install the Golang Plugin for the compiler
    ````bash
    go install google.golang.org/protobuf/cmd/protoc-gen-go@latest
    ````

## Generate:
1. Download the Git submodules (if you didn't clone this repo with ``git clone --recurse-submodules``)
    ```bash
    git submodule init
    git submodule update
    ```
   
2. Edit the scripts, find the variable ``plugName`` and set its value to the name of the plug.
   
3. Depending on what OS you are running execute one of the following scripts:
    ````bash
    scripts/generate_grpc_files.sh
    scripts/generate_grpc_files.ps1
    ````
